<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class WoocommercePaymentMethods implements ConstantsInterface
{
    public const CARD = Plugin::PLUGIN_PREFIX.'_cc';
    public const BLIK = Plugin::PLUGIN_PREFIX.'_blik';
    public const PAY_BY_LINK = Plugin::PLUGIN_PREFIX.'_pbl';
    public const PAY_BY_LINK_KEVIN = Plugin::PLUGIN_PREFIX.'_pblkv';
    public const XPAY = Plugin::PLUGIN_PREFIX.'_xpay';
    public const GPAY = Plugin::PLUGIN_PREFIX.'_gpay';
    public const APAY = Plugin::PLUGIN_PREFIX.'_apay';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::CARD,
            self::BLIK,
            self::PAY_BY_LINK,
            self::XPAY,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::CARD;
    }
}
